Forum Xamarin.iOS

Error while loading assemblies: System.EnterpriseServices.Wrapper.dll

My Development Environment

VS 2019 - Version 16.8.3
Xamarin.IOS and Xamarin.Max SDK - 14.6.0.15

Mac Os Big Sur Version 11.1 beta
VS for Mac 2019 - Version 8.8.4

Hello guys, how are you?

In the last few days, I am facing the following message when I compile my project, either Debug or Release.

With a lot of research, I saw that this DLL is used by System.Data, however in my WCF project I use this Assemblie, and in my main project I am referencing my WCF ... If I remove System.Data, a lot of my project generated mistake. I am using .NET Standard 2.0 in the main project.

I also tried to get the project and run on VS for Mac, however, it generated conflict, the main project says that my WCF that uses the .NET Framework is not compatible, generating an error and not allowing me to compile.

I wonder if anyone has experienced this in these new .NET versions, is there any way I can not compile this DLL at runtime? Is there any way to fix this? I tried to be as objective as possible, thank you for your attention, sorry for anything!

Answers

  • mendeesjrmendeesjr Member

    Sorry, but has anyone had this problem or know how to guide me?

Sign In or Register to comment.